org.apache.olingo.odata2.api.edm.provider

## Class Schema

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.Schema

-     public class Schema
      extends Object

  Objects of this class represent a schema

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Schema()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `List<Association>` | `getAssociations()`
    `List<ComplexType>` | `getComplexTypes()`
    `List<EntityContainer>` | `getEntityContainers()`
    `List<EntityType>` | `getEntityTypes()`
    `String` | `getNamespace()`
    `List<Using>` | `getUsings()`
    `Schema` | `setAlias(String alias)` Sets the alias for this `Schema`
    `Schema` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `Schema`
    `Schema` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `Schema`
    `Schema` | `setAssociations(List<Association> associations)` Sets the `Association`s for this `Schema`
    `Schema` | `setComplexTypes(List<ComplexType> complexTypes)` Sets the `ComplexType`s for this `Schema`
    `Schema` | `setEntityContainers(List<EntityContainer> entityContainers)` Sets the `EntityContainer`s for this `Schema`
    `Schema` | `setEntityTypes(List<EntityType> entityTypes)` Sets the `EntityType`s for this `Schema`
    `Schema` | `setNamespace(String namespace)` Sets the namespace for this `Schema`
    `Schema` | `setUsings(List<Using> usings)` Sets the `Using` for this `Schema`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Schema

          public Schema()

  - ### Method Detail

    - #### setNamespace

          public Schema setNamespace(String namespace)

      Sets the namespace for this `Schema`
      Parameters:
        `namespace` -
      Returns:
        `Schema` for method chaining

    - #### setAlias

          public Schema setAlias(String alias)

      Sets the alias for this `Schema`
      Parameters:
        `alias` -
      Returns:
        `Schema` for method chaining

    - #### setUsings

          public Schema setUsings(List<Using> usings)

      Sets the `Using` for this `Schema`
      Parameters:
        `usings` -
      Returns:
        `Schema` for method chaining

    - #### setEntityTypes

          public Schema setEntityTypes(List<EntityType> entityTypes)

      Sets the `EntityType`s for this `Schema`
      Parameters:
        `entityTypes` -
      Returns:
        `Schema` for method chaining

    - #### setComplexTypes

          public Schema setComplexTypes(List<ComplexType> complexTypes)

      Sets the `ComplexType`s for this `Schema`
      Parameters:
        `complexTypes` -
      Returns:
        `Schema` for method chaining

    - #### setAssociations

          public Schema setAssociations(List<Association> associations)

      Sets the `Association`s for this `Schema`
      Parameters:
        `associations` -
      Returns:
        `Schema` for method chaining

    - #### setEntityContainers

          public Schema setEntityContainers(List<EntityContainer> entityContainers)

      Sets the `EntityContainer`s for this `Schema`
      Parameters:
        `entityContainers` -
      Returns:
        `Schema` for method chaining

    - #### setAnnotationAttributes

          public Schema setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the List of `AnnotationAttribute` for this `Schema`
      Parameters:
        `annotationAttributes` -
      Returns:
        `Schema` for method chaining

    - #### setAnnotationElements

          public Schema setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the List of `AnnotationElement` for this `Schema`
      Parameters:
        `annotationElements` -
      Returns:
        `Schema` for method chaining

    - #### getNamespace

          public String getNamespace()

      Returns:
        String namespace of this `Schema`

    - #### getAlias

          public String getAlias()

      Returns:
        String alias of this `Schema`

    - #### getUsings

          public List<Using> getUsings()

      Returns:
        List<`Using`> of this `Schema`

    - #### getEntityTypes

          public List<EntityType> getEntityTypes()

      Returns:
        List<`EntityType`> of this `Schema`

    - #### getComplexTypes

          public List<ComplexType> getComplexTypes()

      Returns:
        List<`ComplexType`> of this `Schema`

    - #### getAssociations

          public List<Association> getAssociations()

      Returns:
        List<`Association`> of this `Schema`

    - #### getEntityContainers

          public List<EntityContainer> getEntityContainers()

      Returns:
        List<`EntityContainer`> of this `Schema`

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        List of `AnnotationElement` annotation elements

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.